diff --git a/NEWS b/NEWS
index 7c402ca8..e31e2367 100644
--- a/NEWS
+++ b/NEWS
@@ -20,6 +20,14 @@
     - Autocompletion on directories failes to append '/' #96 
     - GDB Prompt Hangs after Pressing Tab in a "Command List" #67 
 
+    Note that CGDB used to set TERM=dumb, but now sets TERM=vanilla
+     - When TERM=dumb, GDB will not enable cli styling, so no color is printed
+     - CGDB only set TERM=dumb to ensure readline would not print terminal
+       escape characters to modify the current line
+     - CGDB now sets TERM=vanilla, which GDB ignores and readline seems
+       to properly treat as a dumb terminal
+     - This change fixes issue #251: GDB console does not display color
+
   * Fix issue #239, ANSI escape issues with GDB-9
     Color sequences like, [?1l,[?1h,=,>" are now ignored by CGDB rather
     than producing garbage looking text in the gdb terminal.
diff --git a/lib/util/fork_util.cpp b/lib/util/fork_util.cpp
index b0f870f1..46f7d8a5 100644
--- a/lib/util/fork_util.cpp
+++ b/lib/util/fork_util.cpp
@@ -253,8 +253,8 @@ int invoke_debugger(const char *path,
         clog_error(CLOG_CGDB, "fork failed");
         return -1;
     } else if (pid == 0) {      /* child */
-        // This configures gdb's readline to be in TERM=dumb mode
-        setenv("TERM", "dumb", 1);
+        // This configures gdb's readline to be in TERM=vanilla mode
+        setenv("TERM", "vanilla", 1);
 
         /* If this is not called, when user types ^c SIGINT gets sent to gdb */
         setsid();
